Index: /branches/GRISLIv3/SOURCES/3D-physique-gen_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/3D-physique-gen_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/3D-physique-gen_mod.f90	(revision 465)
@@ -26,156 +26,43 @@
   !   **** integer declaration  *************************************
 
-  integer ::  I,J                       !< I selon x, j selon y,
-  integer ::  k,l                       !< k vertical 
   integer ::  ispinup                   !< pour les differentes etapes du spinup
-  integer ::  I1,J1,I_1,J_1,I2,J2       !<
-  integer ::  NI,NJ,NXX,NYY             !< divers entiers de travail en general
-  integer ::  NZZ                       !< Total number of vertical grid points
   integer ::  err                       !< pour l'allocation des tableaux
   integer ::  igrdline                  !< si 1 fixe la position en jouant sur la fusion shelf
   integer ::  ibmelt_inv                !< si 1 inversion du bmelt (avec igrdline=1)
   integer ::  i_resolmeca               !< defini le type d'association SIA-L1
-!cdc  integer ::  iter_beta             !< pour la determination du frottement plus utilise
   integer ::  inv_beta                  !< 0 : run std, 1 : inversion du beta
   integer ::  ICOUPLE                   !< 
-  integer ::  IMARGIN                   !<  
   integer ::  ICOMPTEUR                 !< reprise fichier cptr 
   integer ::  IOUT                      !< type de fichier de sortie pour reprise
   integer ::  iglen                     !< compteur pour la boucle flowlaw
   integer ::  ISYNCHRO                  !< synchronisation pas de temps dt et dtt 
-  integer ::  LOIGLISS                  !< permet de choisir la loi de glissement
   integer ::  Schoof                    !< 0 : pas de flux de Schoof , 1 : flux de Schoof a la grounding line
-  !integer ::  NYEAR                    !< number of months in 1 year, st. dev. for temp *)
   integer ::  NTMAX                     !< 
-!  integer ::  NDAY                      !< 
-  integer ::  NP                        !< 
-  real ::  NDISP                        !< sortie courte (temps)
-  !integer ::  NTRACE                   !< sortie de traces 1=oui, 0=non
-  
-  integer ::  NICE                      !< 
-  integer ::  NINSTAB                   !< 
-  integer ::  NUMFUS                    !< 
-  integer ::  NUMMARG                   !< 
-  integer ::  BANDWD                    !< 
-  integer ::  TIMECG                    !< 
-  integer ::  IND                       !< 
-  integer ::  IFT                       !< 
+
   integer ::  ITEMP                     !< 
-  integer ::  ITBOOST                   !< 
   integer ::  niter_nolin               !< number of velocity iterations for non-linear dragging laws
-  ! integer ::  NBLIG                   ! ??????????????????????????????
   integer ::  ndebug                    !< pour faire des sorties de debug a plusieurs pas de temps
   integer ::  ndebug_max                !< pour faire des sorties de debug a plusieurs pas de temps
-  !integer, dimension(NX,NY) ::  LIGU    !< numero de ligne de U dans remplidom
-  !integer, dimension(NX,NY) ::  LIGV    !< numero de ligne de V dans remplidom
-
-  integer :: itracer                    ! pour ecrire les recovery avec ou sans les tableaux traceurs
 
   !     ************ common des scalaires *************************
-  real :: alpha_drag                    !< exposant non linearite, dragging dans la namelist
-  real :: exp_alpha                     !< exposant dans la loi dragging
-
-
-  real ::  A1                           !< 
-  real ::  A2                           !< 
-  real ::  ALT                          !< 
-  real ::  ATEST                        !< 
-  real ::  ACOUP                        !< 
-  real ::  BEDCT                        !< 
 
   real :: coefbmshelf                   !< coef permettant de faire varier la fusion basale :
-  !< 3 dimensions pour les 3 bassins oceaniques de Climber???
-
-  real ::  CL                           !< specific latent heat of fusion of ice J/Kg  
+
   real ::  DT                           !< pas de temps court
   real ::  DTT                          !< pas de temps long
   real ::  DTMIN                        !< pas de temps mini
-  !real ::  DTP                          !< integrating step for positive degree days (degrees)
-  !! Ne sert plus a rien avec param_phy_mod real ::  DICE                         !< = RO/ROW
-  real ::  DA                           !< mantle diffusion
   real ::  DX1                          !< 1/dx
   real ::  DTDX                         !< dt/dx
   real ::  dtdx2                        !< dt/dx**2
-  !! Ne sert plus a rien avec param_phy_mod real ::  D00                          !< = RO**3*G**3
-  real ::  DMX1                         !< 
-  real ::  DMY1                         !< 
-  real ::  DMX2                         !< 
-  real ::  DMY2                         !< 
   real ::  DTMAX                        !< 
-  real ::  EW                           !< 
-  real ::  FLU                          !< 
-  !! Ne sert plus a rien avec param_phy_mod real ::  G                            !< gravite
-  real ::  GAMMA                        !< 
-  real ::  GLACLOST                     !< 
-  real ::  HMAX                         !< epasisseur de glace max
-  real ::  HMEAN                        !< epasisseur de glace moyenne
-  real,parameter :: Hmin=1.001          !< Hmin pour etre considere comme point ice  
-  real ::  HWATERMAX                    !< hauteur d'eau basale maximum dans le sediment
-  real ::  HWATSTREAM                   !< seuil min. d'eau basale (hwater) pour ice stream
-  real ::  HLIM                         !< 
-  real ::  coefbmax                     !< fautcteur de normalisation pour l'influence de l'eau
-  real ::  ff                           !< coefficient de la loi de frottement solide
-  real ::  ff_stream                    !< coefficient de la loi de frottement solide pour les ice-streams
-  real ::  RGAS                         !< gas constant (J/mol/K)
-  !! Ne sert plus a rien avec param_phy_mod real ::  ROM                          !< density of mantle
-  !! Ne sert plus a rien avec param_phy_mod real ::  ROW                          !< densities of ocean water
-  !! Ne sert plus a rien avec param_phy_mod real ::  ROFRESH                      !< density of fresh water
-  !! Ne sert plus a rien avec param_phy_mod real ::  ROFRESHG                     !< = ROFRESH*G 
-  !! Ne sert plus a rien avec param_phy_mod real ::  RO                           !< densities of ice
-  !! Ne sert plus a rien avec param_phy_mod real ::  ROG                          !< = RO*G   (glace)
-  !! Ne sert plus a rien avec param_phy_mod real ::  ROWG                         !< = ROW*G  (ocean) 
-  !! Ne sert plus a rien avec param_phy_mod real ::  ROMG                         !< = ROM*G  (asthenosphere)
   real ::  SECYEAR                      !< for relation an/seconds
   real ::  sealevel                     !< niveau des mers, afq: now used as eustatic sea level
-  real ::  SURF                         !< 
-  real ::  STEP                         !< 
   real (kind=kind(0.d0)) ::  TIME       !< temps : en double precision
   real ::  TAFOR                        !< temperature forcing : annual
   real ::  TESTDIAG                     !< for time step calculation (icethick)
   real ::  V_limit                      !< vitesse maxi (limitateur de flux pour conserv masse)
-  real ::  TJF                          !< 
-  real ::  TSF                          !< 
-  real ::  TII                          !< 
-  real ::  TJJ                          !< 
-  real ::  TEVOL                        !< 
-  real ::  UZ1                          !< 
-  real ::  UZ2                          !< 
-  real ::  UZ3                          !< 
-  real ::  VOL                          !< 
-  real ::  VVX                          !< 
-  real ::  VVY                          !< 
-  real ::  WDOTMEAN                     !< 
-  real ::  X1                           !< 
-  real ::  XLCENT                       !< 
-  real ::  XDMIN                        !< 
-  real ::  XC                           !< 
-  real ::  YDMIN                        !< 
-  real ::  YLATREF                      !< 
-  real ::  YC                           !< 
-  real ::  ZI                           !< 
-  real ::  U                            !< 
-  real ::  TTETA                        !< 
-  real ::  LAMBDA                       !< 
-  real ::  G1                           !< 
-  real ::  XI                           !< 
-  real ::  XIS                          !< 
-  real ::  ERFXI                        !< 
-  real ::  ERFXIS                       !< 
-  real ::  INTDAWS                      !< 
-  real ::  WSP                          !< 
-  real ::  gradsurf                     !< 
-  real ::  U1                           !< 
-  real ::  U2                           !< 
-  real ::  KAP                          !< 
-  real ::  G1NEW                        !< 
-  real ::  neffgz                       !< 
-  real ::  neffratio                    !<seuil (% de H) sur neffmxy pour passage en stream
-  real ::  toblim                       !< 
-  real ::  moteurmax                    !< 
   real ::  betamax                      !< (Pa) frottement maxi sous les streams
-  real ::  deltaacc                     !< 
   real ::  pvimin                       !< valeur de pvi pour les noeuds fictifs
-  real ::  test_iter_diag               !< test sur les vitesses pour iterations diagnostiques
-  real :: water_bilan                   !< bilan d'eau sur la calotte
+
 
   !     ************** common des caracteres **************
@@ -219,6 +106,4 @@
   !hassine
   real, dimension(nx,ny) :: beta_centre !< beta on major node (average)
-  real, dimension(nx,ny) :: coef_drag   !< coefficient de la loi de friction non lineaire : depend de la valeur de alpha_drag
-                                        !< si alpha_drag = 1, coef_drag = drag_centre  
   real, dimension(nx,ny) :: betamax_2d  !< (Pa) frottement maxi sous les streams
   !
Index: /branches/GRISLIv3/SOURCES/Alps_files/output_alps_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Alps_files/output_alps_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Alps_files/output_alps_mod.f90	(revision 465)
@@ -76,6 +76,4 @@
 character(len=100),dimension(nvar) :: units
 
-!ndisp sorite courte tous les ndisp
-NDISP=100
 
 
@@ -154,4 +152,5 @@
 !------------------
 real ::  smax
+integer :: np
 
       vol=0. 
Index: /branches/GRISLIv3/SOURCES/Ant16_files/bmelt-ant-regions-initmip_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Ant16_files/bmelt-ant-regions-initmip_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Ant16_files/bmelt-ant-regions-initmip_mod.f90	(revision 465)
@@ -49,4 +49,5 @@
     ! Elle est appelée par inputfile-vec-0.5.f90
 
+    integer :: i,j ! loop integers
     real*8, dimension(:,:),   pointer    :: tab               !< tableau 2d real pointer
     real :: bmelt_dist0
@@ -151,4 +152,5 @@
     ! cette routine calcule la fusion basale proprement dite
 
+    integer :: i,j
     integer :: ngr           ! nombre de voisins flottants
     real :: coef_talus       ! pour ne pas changer la fusion au dessus de l'ocean profond
Index: /branches/GRISLIv3/SOURCES/Ant40_files/bmelt-ant-regions-oce_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Ant40_files/bmelt-ant-regions-oce_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Ant40_files/bmelt-ant-regions-oce_mod.f90	(revision 465)
@@ -49,4 +49,5 @@
 subroutine init_bmelt
 
+  integer :: i,j,k ! loop integers
   character(len=100) :: file_temp_oce1      ! fichier de ref (ctrl) contenant la carte des temperatures de l'ocean de subsurface
   character(len=100) :: file_temp_oce2      ! 2eme fichier : c'est la difference qui permet de calculer la variation de fusion basale
@@ -302,4 +303,5 @@
 ! cette routine calcule la fusion basale proprement dite
 
+integer :: i,j           ! loop integers
 integer :: ngr           ! nombre de voisins flottants
 
Index: /branches/GRISLIv3/SOURCES/Ant40_files/bmelt-ant-regions_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Ant40_files/bmelt-ant-regions_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Ant40_files/bmelt-ant-regions_mod.f90	(revision 465)
@@ -50,5 +50,6 @@
     ! Cette routine fait l'initialisation pour la fusion basale.
     ! Elle est appelée par inputfile-vec-0.5.f90
-	
+
+    integer :: i,j
     real*8, dimension(:,:),   pointer    :: tab               !< tableau 2d real pointer
 
@@ -221,4 +222,5 @@
     ! cette routine calcule la fusion basale proprement dite
 
+    integer :: i,j           ! loop integers
     integer :: ngr           ! nombre de voisins flottants
     real :: coef_talus       ! pour ne pas changer la fusion au dessus de l'ocean profond
Index: /branches/GRISLIv3/SOURCES/Ant40_files/lect-anteis_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Ant40_files/lect-anteis_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Ant40_files/lect-anteis_mod.f90	(revision 465)
@@ -13,5 +13,5 @@
 module lect_topo_anteis
 
-  use module3D_phy, only: num_rep_42,num_param,nxx,nyy,bsoc0,mk0,s0,h0,bsoc,s,h,flot,ghf,sealevel_2d, & 
+  use module3D_phy, only: num_rep_42,num_param,bsoc0,mk0,s0,h0,bsoc,s,h,flot,ghf,sealevel_2d, & 
                           xcc,ycc,xlong,ylat,secyear
   use runparam, only: xmin,ymin,xmax,ymax
@@ -68,8 +68,4 @@
     ghf_fich=trim(dirnameinp)//trim(ghf_fich)
 
-
-    ! lecture adaptee aux fichiers intercomparaison EISMINT
-    nxx=nx
-    nyy=ny
 
 !!$!     lecture de la topo actuelle
Index: /branches/GRISLIv3/SOURCES/Ant40_files/module_choix-antar40-0.4.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Ant40_files/module_choix-antar40-0.4.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Ant40_files/module_choix-antar40-0.4.f90	(revision 465)
@@ -40,6 +40,6 @@
 !use climat_forcage_mois_mod ! forcage mensuel GCM 1 Snapshot Fev 2015
 !use climat_perturb_mod   ! climat perturbe a reverifier Dec 2015
-use climat_smb_perturb_mod ! climat force par fichier SMB directement (grice2sea) + index temperature carotte de glace
-
+!use climat_smb_perturb_mod ! climat force par fichier SMB directement (grice2sea) + index temperature carotte de glace
+use climat_smb_perturb_mod
 
 !use climat_forcage_mod
Index: /branches/GRISLIv3/SOURCES/Ant40_files/output_anta40_mod-0.4.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Ant40_files/output_anta40_mod-0.4.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Ant40_files/output_anta40_mod-0.4.f90	(revision 465)
@@ -13,6 +13,6 @@
 module  output_antarcti_mod
 
-use module3D_phy,only: ndisp,xlong,ylat,vol,np,hmax,b,s,acc,h,t,tbdot,ux,uy,uzk,uzsdot, &
-              hdot,bdot,hmean,num_ritz,tafor,sealevel,ts
+use module3D_phy,only: xlong,ylat,b,s,acc,h,t,tbdot,ux,uy,uzk,uzsdot, &
+              hdot,bdot,num_ritz,tafor,sealevel,ts
 use geography, only: nx,ny,nz,geoplace,dirnameinp
 use runparam, only: dirnameout,runname
@@ -24,5 +24,5 @@
 implicit none
       
-!real ::  vol ; !integer :: np
+real ::  vol ; !integer :: np
 integer :: nflot                      !< nbr de point flottant
 real ::  bmean                        !<
@@ -111,6 +111,4 @@
 
 
-!ndisp sorite courte tous les ndisp
-NDISP=100
 
 
@@ -386,6 +384,6 @@
 ! 1_initialization
 !------------------
-real ::  smax
-integer :: i,j,k,l
+real ::  smax,hmax,hmean
+integer :: np,i,j,k,l
 
       vol=0. 
Index: /branches/GRISLIv3/SOURCES/Eurasie_files/output_eurasie_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Eurasie_files/output_eurasie_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Eurasie_files/output_eurasie_mod.f90	(revision 465)
@@ -34,6 +34,4 @@
 subroutine init_outshort
 
-!ndisp sorite courte tous les ndisp
-NDISP=100
 mask_cal(:,:,:)=.false.
 mask_cal(:,:,1)=.true.
@@ -109,5 +107,5 @@
 ! 1_initialization
 !------------------
-      integer KK
+      integer KK, np
 !     integer inpl, INPG, INPF
 !     integer inplab,inpkeew,inpinn,inpcord
Index: /branches/GRISLIv3/SOURCES/Hemin40_files/bmelt-hemin40-depth_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Hemin40_files/bmelt-hemin40-depth_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Hemin40_files/bmelt-hemin40-depth_mod.f90	(revision 465)
@@ -43,5 +43,5 @@
 subroutine init_bmelt
 
-
+integer :: i,j ! loop integers
 
 ! Cette routine fait l'initialisation pour la fusion basale.
@@ -120,4 +120,5 @@
 ! cette routine calcule la fusion basale proprement dite
 
+integer :: i,j ! loop integers
 integer :: ngr           ! nombre de voisins flottants
 
Index: /branches/GRISLIv3/SOURCES/Hemin40_files/lect-hemin40_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Hemin40_files/lect-hemin40_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Hemin40_files/lect-hemin40_mod.f90	(revision 465)
@@ -21,5 +21,5 @@
 subroutine input_topo
 
-  integer :: ios
+  integer :: i,j,k,ios
   real, dimension(nx,ny) :: varloc
   
Index: /branches/GRISLIv3/SOURCES/Hemin40_files/output_hemin40_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Hemin40_files/output_hemin40_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Hemin40_files/output_hemin40_mod.f90	(revision 465)
@@ -33,6 +33,6 @@
 subroutine init_outshort
 
-!ndisp sorite courte tous les ndisp
-NDISP=100
+integer :: i,j
+
 mask_cal(:,:,:)=.false.
 mask_cal(:,:,1)=.true.
@@ -152,5 +152,5 @@
 ! 1_initialization
 !------------------
-      integer KK
+      integer k, KK, np
 !     integer inpl, INPG, INPF
 !     integer inplab,inpkeew,inpinn,inpcord
Index: /branches/GRISLIv3/SOURCES/Laure16_files/fake-routines-laurentide_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Laure16_files/fake-routines-laurentide_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Laure16_files/fake-routines-laurentide_mod.f90	(revision 465)
@@ -15,5 +15,6 @@
 module fake_laure
 
-use module3d_phy
+use runparam, only: itracebug
+
 implicit none
 
Index: /branches/GRISLIv3/SOURCES/Laure16_files/lect-laurentide_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Laure16_files/lect-laurentide_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Laure16_files/lect-laurentide_mod.f90	(revision 465)
@@ -19,5 +19,8 @@
 subroutine input_topo
 
-  integer :: ios
+  use geography, only: dirnameinp
+  use runparam, only: xmin,xmax,ymin,ymax
+
+  integer :: i,j,k,ios
   real, dimension(nx,ny) :: varloc
   
Index: /branches/GRISLIv3/SOURCES/Laure16_files/output_laure16_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/Laure16_files/output_laure16_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/Laure16_files/output_laure16_mod.f90	(revision 465)
@@ -1,4 +1,5 @@
 module  output_laure16_mod
 
+  use geography, only: nx,ny
   use module3D_phy
   use bilan_eau_mod
@@ -8,4 +9,6 @@
 
 implicit none
+
+integer :: i,j ! loop integers
 
 logical,dimension(nx,ny,7) :: mask_cal !< masque regions calotte 
@@ -29,4 +32,8 @@
 subroutine init_outshort
 
+  use geography, only: geoplace,dirnameinp
+  use runparam, only: dirnameout,runname
+
+  integer :: i,j,k
 
 double precision,dimension(:,:),pointer      :: tab               !< tableau 2d real pointer
@@ -37,6 +44,4 @@
 
 
-!ndisp sorite courte tous les ndisp
-NDISP=100
 mask_cal(:,:,:)=.false.
 mask_cal(:,:,1)=.true.
@@ -175,4 +180,6 @@
 !------------------
 
+  integer :: k,np
+
   ! ISMIP type outputs: (nc file)
   real :: lim                           !< Total ice mass
Index: /branches/GRISLIv3/SOURCES/ablation_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/ablation_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/ablation_mod.f90	(revision 465)
@@ -84,6 +84,6 @@
 
 
-  use module3d_phy,only:Tjuly,Tann,Tmois,acc,pdd,TS,Tshelf,precip,BM,Abl,S,cl
-  use param_phy_mod,only:dice
+  use module3d_phy,only:Tjuly,Tann,Tmois,acc,pdd,TS,Tshelf,precip,BM,Abl,S
+  use param_phy_mod,only:dice,cl
 
   IMPLICIT NONE
Index: /branches/GRISLIv3/SOURCES/bilan_eau_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/bilan_eau_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/bilan_eau_mod.f90	(revision 465)
@@ -22,5 +22,5 @@
   use runparam, only: nt
   use module3D_phy, only: H,Bsoc,ice,sealevel_2d,gr_line,uxbar,uybar,flot_marais,dtt,&
-       bm,bmelt,dt,isynchro,time,dtmin,ablbord_dtt,water_bilan
+       bm,bmelt,dt,isynchro,time,dtmin,ablbord_dtt
   use geography, only: nx,ny,dx,dy
 
@@ -28,4 +28,5 @@
 
   real :: sum_H
+  real :: water_bilan
 
   real,dimension(nx,ny) :: tot_water    !< bilan d'eau
Index: /branches/GRISLIv3/SOURCES/bmelt-beckmann-gcm_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/bmelt-beckmann-gcm_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/bmelt-beckmann-gcm_mod.f90	(revision 465)
@@ -21,8 +21,8 @@
 
   !$ USE OMP_LIB
-  use module3D_phy,only: cl,S,H,sealevel_2d,flot,bmelt,num_param,num_rep_42,time,dt,debug_3d
+  use module3D_phy,only: S,H,sealevel_2d,flot,bmelt,num_param,num_rep_42,time,dt,debug_3d
   use geography, only: nx,ny,dx,dy,dirnameinp
   ! note: the geom. (nx,ny,dx,dy) come from module_geoplace
-  use param_phy_mod,only:ro,rofresh,row
+  use param_phy_mod,only:ro,rofresh,row,cl
   use io_netcdf_grisli,only: read_ncdf_var
 
Index: /branches/GRISLIv3/SOURCES/bmelt-grounded.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/bmelt-grounded.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/bmelt-grounded.f90	(revision 465)
@@ -17,7 +17,7 @@
 subroutine bmelt_grounded
 
-  use module3d_phy, only: flot,bmelt,ibase,hwater,T,phid,cl,H,ghf,dtt
+  use module3d_phy, only: flot,bmelt,ibase,hwater,T,phid,H,ghf,dtt
   use geography, only: nx,ny,nz
-  use param_phy_mod, only: ro
+  use param_phy_mod, only: ro,cl
   use icetemp_declar, only: ct,dee,cm,dzm,ncond
   use runparam, only: itracebug
Index: /branches/GRISLIv3/SOURCES/deformation_mod_2lois.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/deformation_mod_2lois.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/deformation_mod_2lois.f90	(revision 465)
@@ -84,5 +84,6 @@
   subroutine init_deformation
     
-    use module3d_phy, only:num_param,num_rep_42,rgas,iglen
+    use module3d_phy, only:num_param,num_rep_42,iglen
+    use param_phy_mod, only:rgas
 
     implicit none
@@ -152,7 +153,4 @@
     Q2(2)     = Q_warm_2 
 
-    ! autre parametres ne changeant pas d'un run a l'autre
-    RGAS=8.314
-
     ! application des sf
 
@@ -200,5 +198,6 @@
   subroutine flowlaw (iiglen)
     
-    use module3d_phy, only:e,T,rgas,H,iglen
+    use module3d_phy, only:e,T,H,iglen
+    use param_phy_mod, only:rgas
     !$ USE OMP_LIB
 
Index: /branches/GRISLIv3/SOURCES/diffusiv-polyn-0.6.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/diffusiv-polyn-0.6.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/diffusiv-polyn-0.6.f90	(revision 465)
@@ -76,8 +76,4 @@
 
   call sliding     ! au sens vitesse de glissement
-
-  !  le glissement est maintenant dans un module a part choisi dans le module choix
-  !  pour l'instant seules les lois Heino (loigliss=4) et Bindshadler(loigliss=2)
-  !  sont programmees.
 
   !      ddbx et ddby termes dus au glissement 
Index: /branches/GRISLIv3/SOURCES/eaubasale-0.5_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/eaubasale-0.5_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/eaubasale-0.5_mod.f90	(revision 465)
@@ -25,4 +25,5 @@
   REAL :: KONDMAX
   real :: kond0
+  real :: hwatermax
   REAL :: INFILTR
   REAL :: hmax_till    !< épaisseur de la couche de till
@@ -56,5 +57,5 @@
   subroutine init_eaubasale
 
-    use module3d_phy, only:hwatermax,num_param,num_rep_42,kond,secyear,hdotwater,pgx,pgy
+    use module3d_phy, only:num_param,num_rep_42,kond,secyear,hdotwater,pgx,pgy
     
     namelist/eaubasale1/ecoulement_eau,hwatermax,infiltr 
@@ -126,5 +127,5 @@
 
     use module3d_phy, only:hwater,kond,secyear,flot,sealevel_2D,Bsoc,ibase,S,H,B,bmelt,&
-         debug_3d,flotmx,flotmy,pgx,pgy,phiwx,phiwy,isynchro,dtt,dt,hdotwater,pwater,hwatermax
+         debug_3d,flotmx,flotmy,pgx,pgy,phiwx,phiwy,isynchro,dtt,dt,hdotwater,pwater
     use geography, only:dx,dy
     use param_phy_mod, only:rowg,ro,rog,rofreshg,rofresh
Index: /branches/GRISLIv3/SOURCES/initial-phy-2.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/initial-phy-2.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/initial-phy-2.f90	(revision 465)
@@ -20,10 +20,9 @@
   use module3D_phy, only:icompteur,iout,reprcptr,igrdline,schoof,ibmelt_inv,dtmin,dtmax,&
        dtt,testdiag,num_param,num_rep_42,num_ritz,dt,ntmax,time,tafor,sealevel,&
-       sealevel_2d,secyear,nzz,nz,nzm,cl,da,nice,isynchro
+       sealevel_2d,secyear,isynchro
   use geography, only: geoplace
   use runparam, only :runname,itracebug,num_tracebug,tbegin,tend,dirsource,dirnameout,dttest,&
        nt
-  use param_phy_mod, only:rog,g,ro,row,rowg,rom,romg,rofresh,rofreshg,dice,coef_Sflot,&
-       coef_Bflot
+
 
   implicit none
@@ -40,6 +39,4 @@
   !--------------------------------------------------------------
   dirsource='../SOURCES'
-  ! dirsource='../../SOURCES'
-  ! filin='../'//trim(dirsource)//'/Fichiers-parametres/'//trim(geoplace)//'_param_list.dat'
   filin=trim(geoplace)//'_param_list.dat'
 
@@ -85,18 +82,6 @@
 
 
-
-  !     switch reprise compteur ou non: 1 => compteur, 0 => pas compteur
-  !     icompteur=2 reprise de tout sauf de la topo
-  !     icompteur=1 reprise de tout
-
-  !      reprcptr=TRIM('../CPTR-Heino/Heino096+k150.CPTR')
-
-
-
-
   write(6,*)'_________________________________________________'
   write(6,*)'runname=',runname
-  !      write(6,*) dirnameout
-  !      write(6,*) TRIM(DIRNAMEOUT)//'short'//runname//'.ritz'
 
 
@@ -104,5 +89,5 @@
   !------------------------------
 
-  ! filin='time-series/short'//runname//'.ritz'
+
   filin='short'//runname//'.ritz'
   filin=TRIM(DIRNAMEOUT)//TRIM(filin)
@@ -133,12 +118,4 @@
 
 
-  !     grounding line fixee
-  !--------------------------
-  !     Pour faire des expériences avec l'épaisseur des ice-shelves fixée
-  !     igrdline=1 !fixé, sinon (libre) igrdline=0
-  !     igrdline=0 
-
-
-
   ! lecture des parametres du run                          block timesteps
   !-----------------------------------------------------------------------
@@ -146,5 +123,4 @@
   read(num_param,timesteps)
 
-! dmr&aurel ##  namelist/timesteps/dtmin,dtmax,dtt,testdiag,tbegin,tend
   write(num_rep_42,'(A)')'!___________________________________________________________'  
   write(num_rep_42,'(A)') '&timesteps                 ! bloc time steps'
@@ -195,46 +171,7 @@
   secyear= 31556926 ! s /an
 
-!!$!     *** ABLATION
-!!$!     integrating step for positive degree days (degrees)
-!!$      DTP=2.0
-!!$!     number of months in 1 year, st. dev. for temp *)
-!!$      NYEAR=12
-!!$      SIGMA=5.0
-!!$!     proportion of melted water that can refreeze *)
-!!$      CSI=0.6
-!!$!     melting factors for snow and ice 
-!!$      Csnow=0.003
-!!$      Cice=0.008
-!!$!     ct for PDD calculation
-!!$      S22=0.5/SIGMA/SIGMA
-!!$      PY=2*PI/NYEAR
-!!$      PDDCT=DTP/SIGMA/sqrt(2.*PI)/NYEAR*365.
-
-
-! calcul de certain parametres de param_phy car ro et g ne sont plus parameter
-
-rog      = ro*g                !<  ro*g   (glace)
-rowg     = row*g               !<  row*g  (ocean) 
-romg     = rom*g               !<  rom*g  (asthenosphere)
-rofreshg = rofresh*g           !<  rofresh*g 
-dice     = ro/row              !<  ro/row
-
-coef_Sflot = (Row-Ro)/Row      !<   S = coef_Sflot * H + sealevel pour les shelves
-coef_Bflot = -Ro/Row           !<   B = coef_Bflot * H + sealevel pour les shelves
-
   !--------------------- 
 
-
-  !     *** TEMPERATURE IN ICE AND MANTLE
-  !     Total number of vertical grid points, grid step in mantle
-  NZZ=NZ+NZM
-
-  !     specific latent heat of fusion of ice J/Kg
-  CL=3.35E5
-
-  !     DA mantle diffusion
-  DA=4.E7
   !     switch 
-  NICE=1
   isynchro=0
 
Index: /branches/GRISLIv3/SOURCES/isostasie_mod-0.3.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/isostasie_mod-0.3.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/isostasie_mod-0.3.f90	(revision 465)
@@ -27,5 +27,5 @@
 
     use iso_declar,only: nlith,dt_iso,tausoc,dl,rl,lbloc,we,charge
-    use module3D_phy, only: icouple,marine,err,h0,bsoc0,sealevel_2d,w0,w1,i,j
+    use module3D_phy, only: icouple,marine,err,h0,bsoc0,sealevel_2d,w0,w1
     use geography, only: geoplace,nx,ny,dx,dy
     use param_phy_mod, only: ro,row,rog,rowg,romg
@@ -36,4 +36,5 @@
     !     nbed=1 temps de reaction
 
+    integer :: i,j
 
     if (GEOPLACE.eq.'eismint') then
Index: /branches/GRISLIv3/SOURCES/main3D-0.4-40km.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/main3D-0.4-40km.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/main3D-0.4-40km.f90	(revision 465)
@@ -131,5 +131,5 @@
 subroutine grisli_init
 
-  USE module3D_phy, only: itemp,icouple,isynchro,imargin,icompteur,iglen,timecg,marine,num_sealevel, &
+  USE module3D_phy, only: itemp,icouple,isynchro,icompteur,iglen,marine,num_sealevel, &
                           num_ts_ritz,num_ic_vo,num_ic_by,num_ic_dm,num_ic_dc,num_ic_df, &
                           s,h,b,bsoc,flot,mk,mk0,uxbar,uybar,hwater,time,timemax,boost,ndebug,ndebug_max
@@ -165,8 +165,5 @@
   !               4     idem 3 mais loi de def. Duval          niveau L4
   ICOUPLE=4
-  !     switch margin IMARGIN=0 fixed, IMARGIN=1 moving
-  IMARGIN=1
-
-  TIMECG=TBEGIN
+
   nt=-1   ! utilisee dans initialisation flottab
   !     sortie profile tous les dtprofile
Index: /branches/GRISLIv3/SOURCES/neffect-0.4.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/neffect-0.4.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/neffect-0.4.f90	(revision 465)
@@ -19,7 +19,8 @@
   use param_phy_mod, only: ro,row,g
   use runparam, only: itracebug
-  use module3D_phy, only: flotmx,flotmy,coefmxbmelt,coefmybmelt,hwater,neffmx,neffmy,hmx,hmy,hwatermax
+  use module3D_phy, only: flotmx,flotmy,coefmxbmelt,coefmybmelt,hwater,neffmx,neffmy,hmx,hmy
   use geography, only: nx,ny
-  use module_choix, only: eaubasale
+!  use module_choix, only: eaubasale <- afq, not clean, I prefer to use  explicitly eau_basale
+  use eau_basale, only: hwatermax,eaubasale
 
   implicit none
Index: /branches/GRISLIv3/SOURCES/notracer_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/notracer_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/notracer_mod.f90	(revision 465)
@@ -5,5 +5,4 @@
 module notracer_mod 
 
-  use module3d_phy, only: itracer
   use tracer_vars, only: tdep,xdep,ydep  ! pour ne pas avoir de probleme avec les sorties ncdf
   implicit none
@@ -15,7 +14,4 @@
     xdep(:,:,:)=0.
     ydep(:,:,:)=0.
-
- ! pour ecrire les recovery avec ou sans les tableaux traceurs
-    itracer = 0
   end subroutine init_tracer
   
Index: /branches/GRISLIv3/SOURCES/out_cptr_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/out_cptr_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/out_cptr_mod.f90	(revision 465)
@@ -331,10 +331,13 @@
 !>
 subroutine  read_no_recovery
-  use module3D_phy
+
+  use module3D_phy,only: T,ghf
+  use geography, only: nx,ny,nz,nzm
+  use param_phy_mod,only:dzm,cm
+
   implicit none
-  Real,Parameter :: Dzm=600        !< Grid Step In Mantle
-  !Prop Thermique 
-  Real,Parameter ::  Cm=1.04e8  
-
+
+  integer :: i,j,k ! loop integers
+  
 !!!pas reprise : il faut initier les temperatures ds le socle
 
@@ -619,7 +622,12 @@
 
 subroutine symetry_cptr(jaxe)
-  use module3D_phy
-  use tracer_vars
+
+  use module3D_phy,only: s,h,b,bsoc,ibase,bmelt,hwater,uxbar,uybar,t,ux,uy
+  use geography,only: nx,ny
+  use tracer_vars,only: xdep,ydep,tdep
+
   implicit none
+
+  integer :: i,j
   integer :: jaxe
   integer :: jsym
Index: /branches/GRISLIv3/SOURCES/param_phy_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/param_phy_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/param_phy_mod.f90	(revision 465)
@@ -15,23 +15,32 @@
 module param_phy_mod
 
+implicit none
+
+real,parameter ::  G = 9.81             !< gravite en m s-2
+real,parameter ::  RO = 918.0           !< densities of ice : 918 for consistency with LBq
+real,parameter ::  ROFRESH = 1000.      !< density of fresh water
+
+real,parameter ::  ROM = 3300.0         !< density of mantle
+real,parameter ::  ROW = 1028.0         !< densities of ocean water
+
+                              ! maintenant defini dans initial-phy-2.f90
+real,parameter ::  coef_Sflot = (Row-Ro)/Row   !<   S = coef_Sflot * H + sealevel pour les shelves
+real,parameter ::  ROG  = ro*g                 !<  RO*G   (glace)    in Pa = 1 kg/m/s2
+real,parameter ::  ROWG = row*g                != ROW*G            !<  ROW*G  (ocean) 
+real,parameter ::  ROMG = rom*g                != ROM*G            !<  ROM*G  (asthenosphere)
+
+real,parameter ::  DICE = ro/row               != RO/ROW           !<  RO/ROW
+
+real,parameter ::  ROFRESHG = rofresh*g        !<  ROFRESH*G 
+
+real,parameter ::  CL=3.35E5                   !< specific latent heat of fusion of ice J/Kg
+
+real,parameter ::  DA=4.E7                     !< DA mantle diffusion
+
+real,parameter ::  RGAS=8.314                  !< gas constant (J/mol/K)
+
+real,Parameter :: Dzm=600        !< Grid Step In Mantle
+real,Parameter ::  Cm=1.04e8     !< Prop Thermique
 
 
-real ::  G = 9.81             !< gravite en m s-2
-real ::  RO = 918.0           !< densities of ice : 918 for consistency with LBq
-real ::  ROFRESH = 1000.      !< density of fresh water
-
-real ::  ROM = 3300.0         !< density of mantle
-real ::  ROW = 1028.0         !< densities of ocean water
-
-                              ! maintenant defini dans initial-phy-2.f90
-real ::  coef_Sflot           != (Row-Ro)/Row     !<   S = coef_Sflot * H + sealevel pour les shelves
-real ::  coef_Bflot           != -Ro/Row          !<   B = coef_Bflot * H + sealevel pour les shelves
-real ::  ROG                  != RO*G             !<  RO*G   (glace)    in Pa = 1 kg/m/s2
-real ::  ROWG                 != ROW*G            !<  ROW*G  (ocean) 
-real ::  ROMG                 != ROM*G            !<  ROM*G  (asthenosphere)
-
-real ::  DICE                 != RO/ROW           !<  RO/ROW
-
-real ::  ROFRESHG             !=ROFRESH*G         !<  ROFRESH*G 
-
 end module param_phy_mod
Index: /branches/GRISLIv3/SOURCES/steps_time_loop.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/steps_time_loop.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/steps_time_loop.f90	(revision 465)
@@ -167,5 +167,5 @@
   
   use module3d_phy, only: ispinup,isynchro,timemax,time,marine,iglen,shelfy,icompteur,&
-       test_iter_diag,inv_beta,dtmin,flot,mk,mk0
+       inv_beta,dtmin,flot,mk,mk0
   use runparam, only: itracebug,nt,num_tracebug
   use geography, only: geoplace
@@ -188,4 +188,5 @@
   integer :: nt_init_tm = 0          ! number of loops for initialisation of thermo mechanical
   integer :: iter_visco              ! number of iterations for ssa viscosity
+  real ::  test_iter_diag            ! test sur les vitesses pour iterations diagnostiques
 
   if (ispinup.le.1) shelf_vitbil = .false.         ! general case, ice shelves velocities are computed by diagnoshelf
Index: /branches/GRISLIv3/SOURCES/tracebug.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/tracebug.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/tracebug.f90	(revision 465)
@@ -17,9 +17,9 @@
 subroutine tracebug(chaine)
 
-  use module3D_phy
-  use module_choix
+  use runparam, only: num_tracebug
 
   implicit none 
 
+  integer :: i,j
   character(len=*),intent(in):: chaine ! chaine a imprimer
 
Index: /branches/GRISLIv3/SOURCES/tracer_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/tracer_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/tracer_mod.f90	(revision 465)
@@ -27,5 +27,5 @@
 module tracer_mod
 
-  use module3d_phy, only: itracer,e,time,dtt,num_param,num_rep_42,acc,H,num_forc,&
+  use module3d_phy, only: e,time,dtt,num_param,num_rep_42,acc,H,num_forc,&
        ux,uy,uzr,bmelt,S,flot,bm
   use geography, only: nx,ny,nz,dx,dy,dirforcage
@@ -88,7 +88,4 @@
 
 if (itracebug.eq.1) write(num_tracebug,*)'init_tracer dans tracer_mod'
-
-! itracer pour les ecritures et lectures recovery
- itracer = 1
 
 ! profondeur reduite
Index: /branches/GRISLIv3/SOURCES/tracer_vars_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/tracer_vars_mod.f90	(revision 464)
+++ /branches/GRISLIv3/SOURCES/tracer_vars_mod.f90	(revision 465)
@@ -4,5 +4,4 @@
 module tracer_vars
   
-  use module3d_phy, only: itracer
   use geography, only: nx,ny,nz
   
